Name:          maven-docck-plugin
Version:       1.0
Release:       %mkrel 1
Summary:       Maven Documentation Checker Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/plugins/maven-docck-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-docck-plugin-1.0
# tar czf maven-docck-plugin-1.0-src-svn.tar.gz maven-docck-plugin-1.0
Source0:       maven-docck-plugin-1.0-src-svn.tar.gz

BuildRequires: jakarta-commons-httpclient
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-tools
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared
BuildRequires: maven-surefire-plugin
BuildRequires: plexus-utils

Requires:      apache-commons-logging
Requires:      java
Requires:      jpackage-utils
Requires:      maven
Requires:      maven-plugin-tools
BuildArch:     noarch

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
Checks for violations of the Plugin Documentation Standard.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
Maven Documentation Checker Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n maven-docck-plugin-%{version}

%build

mvn-rpmbuild \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/maven-docck-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/maven-docck-plugin.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.apache.maven.plugins maven-docck-plugin %{version} JPP maven-docck-plugin
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-docck-plugin.pom

mkdir -p %{buildroot}%{_javadocdir}/maven-docck-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-docck-plugin

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/maven-docck-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/maven-docck-plugin



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 127115
- Fix groups

  + gil <gil>
    - imported package maven-docck-plugin


* Tue Jul 12 2011 gil <gil> 1.0-0.%%mkrel
- imported from fedora

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-5
- Build with maven 3.x.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.0-3
- Add missing requires maven2

* Thu Jun 03 2010 Hui Wang <huwang@redhat.com> - 1.0-2
- Added epoch 1 to provides
- Fixed install instructions in one step
- Used bz2 compression in source0
- Used macros in add_to_maven_depmap

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package
